Name:           Koi
Version:        0.5.1
Release:        1%{?dist}
Summary:        Theme scheduling for the KDE Plasma Desktop
License:        LGPL-3.0-only 
URL:            https://github.com/baduhai/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)

BuildRequires:  desktop-file-utils

Requires:	plasma-desktop plasma-integration plasma-workspace

%description
Koi is a program designed to provide the KDE Plasma Desktop functionality to
automatically switch between light and dark themes.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install 

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/local.KoiDbusInterface.desktop

%files
%license LICENSE
%doc README.md
%{_bindir}/koi
%{_datadir}/applications/local.KoiDbusInterface.desktop
%{_datadir}/icons/hicolor/scalable/apps/koi.svg
%{_datadir}/icons/hicolor/scalable/apps/koi_tray.svg
%{_datadir}/dbus-1/interfaces/dev.baduhai.Koi.xml
%{_datadir}/dbus-1/services/dev.baduhai.Koi.service

%changelog
* Fri Apr 25 2025 Christian Birk <mail@birkc.de> - 0.5.1-1
- new version

* Sun Apr 13 2025 Christian Birk <mail@birkc.de> - 0.5-1
- new version

* Sat Dec 14 2024 Christian Birk <mail@birkc.de> - 0.4-1
- new version

* Thu Jun 27 2024 Christian Birk <mail@birkc.de> - 0.3.1-1
- new version

* Thu Jun 13 2024 Christian Birk <mail@birkc.de> - 0.3-2
- rebuilt

* Mon Jun 10 2024 Christian Birk <mail@birkc.de> - 0.3-1
- new version

* Tue Oct 31 2023 Christian Birk <mail@birkc.de> - 0.2.4-1
- new version

* Sat Jun 17 2023 Christian Birk <mail@birkc.de> - 0.2.3-2
- Rebuild (qt5)

* Tue Aug 30 2022 Christian Birk <mail@birkc.de> - 0.2.3-1
- new version

* Thu Aug 25 2022 Christian Birk <mail@birkc.de> - 0.2.2-1
- new version

* Tue Aug 16 2022 Christian Birk <mail@birkc.de> - 0.2.1-1
- new version

* Mon Aug 15 2022 Christian Birk <mail@birkc.de> - 0.2.0-1
- new version

* Thu Jul 28 2022 Christian Birk <mail@birkc.de> - 0.1.5-2
- Changes for fedora and a out of tree build
